<!DOCTYPE html>
<html ng-controller="TodoController as $ctrl">
<head>
    <meta charset="utf-8">
    <title>{{::$ctrl.todo.user}}'s TO DO List</title>
    <link href="vendor/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="vendor/bootstrap/dist/css/bootstrap-theme.min.css" rel="stylesheet">
    <link href="css/main.css" rel="stylesheet">
    <link href="css/ng-cloak.css" rel="stylesheet">

    <link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/angular_material/1.1.0/angular-material.min.css">
</head>
<body ng-cloak>
    <div class="container" id="popupContainer">
        <div class="page-header">
            <h1>
                <img class="photo" ng-src="{{::$ctrl.todo.userPhoto}}">
                {{::$ctrl.todo.user}}'s To Do List
                <span class="label label-default"
                ng-hide="$ctrl.incompleteCount()===0"
                ng-class="$ctrl.warningLevel()">
                    {{$ctrl.incompleteCount($ctrl.todo.items)}}
                </span>
            </h1>
        </div>
        <div class="panel">
            <new-item-form></new-item-form>
        </div>

        <div class="panel panel-primary">
            <div class="panel-heading">
                <span class="glyphicon glyphicon-tasks" aria-hidden="true"></span> To Do List
            </div>
            <div class="panel-body">
                <vi-task-list></vi-task-list>

                <label>
                    <input type="checkbox" ng-model="$ctrl.showComplete">Show Complete
                </label>
                <div class="row">
                  <button type="button" class="btn btn-danger pull-right"
                      ng-click="$ctrl.deleteAll($event)"
                      ng-show="$ctrl.completeCount()>0">
                      Delete all completed
                      </button>
                </div>
            </div>
        </div>

        <p ng-bind="$ctrl.a"></p>
        <p ng-bind-template="{{$ctrl.a}} = {{$ctrl.a}}"></p>
        <p ng-bind-html="$ctrl.myHTML"></p>

        <edit-dialog></edit-dialog>

    </div>

  <script src="vendor/angular/angular.min.js"></script>
  <script src="vendor/angular-sanitize/angular-sanitize.min.js"></script>

  <script src="app.js"></script>
  <script src="app.run.js"></script>
  <script src="services/model.service.js"></script>
  <script src="services/todo.service.js"></script>
  <script src="controllers/todo.controller.js"></script>
  <script src="filters/checked-items.filter.js"></script>
  <script src="directives/task-list.directive.js"></script>
  <script src="directives/new-item-form.directive.js"></script>
  <script src="directives/edit-dialog.directive.js"></script>

  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.6.3/angular-animate.min.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.6.3/angular-aria.min.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.6.3/angular-messages.min.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/angular_material/1.1.0/angular-material.min.js"></script>
</body>
</html>
